Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

# viewer.h File Reference

## Detailed Description

Definition of `openvrml::gl::viewer`.

`#include <openvrml-gl-common.h>`
`#include <stack>`
`#include <openvrml/viewer.h>`

Include dependency graph for gl/openvrml/gl/viewer.h:

## Namespaces

namespace | openvrml
namespace | openvrml::gl

## Classes

class | openvrml::gl::viewer
| Abstract class for display of VRML models using OpenGL/Mesa. More...
struct | openvrml::gl::viewer::event_info
| Input event. More...
class | openvrml::gl::viewer::modelview_matrix_stack
| Encapsulates an extended modelview matrix stack. More...
struct | openvrml::gl::viewer::light_info
| Light information. More...